---
title: URLUtilsReadOnly.origin
slug: Web/API/URLUtilsReadOnly/origin
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Property
  - Read-only
  - URL API
  - URLUtilsReadOnly
---
<p>{{ApiRef("URL API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>URLUtilsReadOnly</strong></code><strong><code>.origin</code></strong> read-only property is a {{domxref("DOMString")}} containing the Unicode serialization of the origin of the represented URL, that is, for http and https, the scheme followed by <code>'://'</code>, followed by the domain, followed by <code>':'</code>, followed by the port (the default port, <code>80</code> and <code>443</code> respectively, if explicitely specified). For URL using <code>file:</code> scheme, the value is browser dependant.</p>

<p>This version of <code>origin</code> is implemented by {{domxref("WorkerLocation")}} for use on workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.origin;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// On this page, returns the origin
var result = self.location.origin; // Returns:'https://developer.mozilla.org:443'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('URL', '#dom-url-origin', 'URLUtilsReadOnly.origin')}}</td>
			<td>{{Spec2('URL')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URLUtilsReadOnly.origin")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("URLUtilsReadOnly")}} interface it belongs to.</li>
</ul>
